#mobile-nav {
    @apply bg-richsred py-2;
    @include media(md){
        display:block !important; 
    }

    &.fixed{
        @apply w-full z-20;
        top:0;
        .mobile-nav{
            top:0;
        }
        
        .mask{
            &.active{
                top:0;
            }
        }
    }

    
    .toggle{
        @apply flex flex-row items-center cursor-pointer;
        .text{
            @apply text-white uppercase font-black mr-2 relative;
            top:2px;
        }
    }

    .container {
        @apply flex flex-row flex-no-wrap justify-between items-center;

        .logo img{
            max-height: 50px;
        }

        .burger-icon {
            @include burger;
        }
    }

    .mobile-nav{
        @apply fixed bg-white h-full overflow-y-auto z-20;
        top:30px;
        left:100%;
        width:250px;
        transition: 300ms transform;
        transform: translateX(0);
        &.active{
            transform:translateX(-100%);

            .toggle {
                .burger-icon {
                    @include burger-to-cross;
                    background-color: #fff;
                }
            }
        }

        .toggle{
            @apply justify-end p-4;
            .text{
                @apply text-richsred;
            }
            .burger-icon {
                @apply bg-richsred;
                &:before,
                &:after {
                    @apply bg-richsred;
                }
            }
        }

        li{
            a{
                display:block;
                @apply uppercase p-4 font-black font-sans text-black relative;
                -webkit-tap-highlight-color: transparent;

                &:focus {
                    color: initial;
                    outline: none;
                }
            }
        }

        .menu {
            .expander {
                display: none;
            }

            > li {
                &.menu-item-has-children {
                    > a {
                        padding-right: 60px;
                        .expander {
                            display: block;
                            width: 50px;
                            position: absolute;
                            top: 0px;
                            right: 0;
                            bottom: 0px;

                            &::before {
                                content: "";
                                position: absolute;
                                top: 15px;
                                bottom: 15px;
                                border-left: 1px solid;
                                @apply border-lightgray;
                            }
                            &::after {
                                @include font-awesome("\f054");
                                @apply text-richsred;
                                transition: all 0.25s;
                                position: absolute;
                                left: 50%;
                                top: 50%;
                                transform: translate(-50%, -50%);
                                font-size: 12px;
                            }

                            &.expanded {
                                &::after {
                                    transform: translate(-50%, -50%) rotate(90deg);
                                }
                            }
                        }
                    }
                }
                &:nth-child(odd) {
                    > a {
                        @apply bg-lightergray;
                    }
                }
            }

            li {
                &.current_page_item {
                    a {
                        @apply text-richsred;
                    }
                }

                .sub-menu {
                    display: none;
                    background-color:#F9F9F9;

                    li {
                        a {
                            font-size: 0.75em;
                        }
                    }
                }

                &.expanded {
                    .sub-menu {
                        display: block;
                    }
                }
            }
        }
    }

    .mask{
        opacity:0;
        transition: 300ms opacity;
        height:0;
        width:0;
        &.active{
            @apply fixed z-10 bg-richsred;
            opacity:.6;
            left: 0;
            top:30px;
            width:100%;
            height:100%;
            overflow: hidden;
        }
    }
}